Contents

# LBound Function

Returns the lower boundary of an array.

### Syntax:

    LBound (ArrayName [, Dimension])

### Return type:

Long

### Parameters:

ArrayName: Name of the array for which you want to return the upper (Ubound) or the lower (LBound) boundary of the array dimension.

[Dimension]: Integer that specifies which dimension to return the upper (Ubound) or the lower (LBound) boundary for. If a value is not specified, the first dimension is assumed.

### Error codes:

5 Nederīgs procedūras izsaukums

9 Indekss ārpus norādītā diapazona

### Example:

    Sub VectorBounds
        Dim v(10 To 20) As String
        Print LBound(v()) ' returns 10
        Print UBound(v) ' returns 20
    End Sub ' VectorBounds

    Sub TableBounds
        Dim t(10 To 20,-5 To 70) As Currency
        Print LBound(t), UBound(t()) ' returns 10  20
        Print LBound(t(),2) ' returns - 5
        Print UBound(t,2) ' returns 70
    End Sub ' TableBounds

Please support us!